package ee.ut.joshi.connectsix.ai.randomforest.dataattr;

import java.util.List;

/**
 * Full data set consisting of #DataEntry
 */
public interface DataSet {

	/**
	 * @return List of field names
	 */
	public List<String> getHeader();

	/**
	 * @param header List of field names
	 */
	public void setHeader( List<String> header );

	/**
	 * @param dataEntry #DataEntry to be added into data set
	 */
	public void addDataEntry( DataEntry dataEntry );

	/**
	 * @return List of non-categorical attributes
	 */
	public List<Integer> getAttrIndexes();

	/**
	 * @return List of #DataEntry
	 */
	public List<DataEntry> getData();

	/**
	 * @param data List of #DataEntry to be set as data
	 */
	public void setData( List<DataEntry> data );
}
