package ee.ut.joshi.connectsix.ai.randomforest.linear;

import ee.ut.joshi.connectsix.ai.randomforest.dataattr.DataAttributeField;
import ee.ut.joshi.connectsix.logic.factory.SmartFieldsExtractor;
import ee.ut.joshi.connectsix.model.Position;

public class SmartDataEntry extends LinearDataEntry {

	public SmartDataEntry( byte[] fields, Position winPos ) {

		byte[] smartFields = SmartFieldsExtractor.extractSmartFields( fields, winPos );

		for( byte b : smartFields ) {
			super.addFieldValue( new DataAttributeField( b ) );
		}
	}
}
