package ee.ut.joshi.connectsix.model;

/**
 * Move interface for various possible moves on game boards. Each move consists
 * of two positions, e.g. ConnectSix
 */
public interface DualMove extends Move {
	
	/**
	 * Should be same as {@link #getPosition()}
	 * 
	 * @return First move position 
	 */
	public Position getFstPos();

	/**
	 * @return Second move position
	 */
	public Position getSndPos();
}
