package ee.ut.joshi.connectsix.model;

import java.util.Arrays;

import ee.ut.joshi.connectsix.model.linear.LinearBoard;

public class GomokuBoard extends LinearBoard {

	public GomokuBoard() {

		byte[] fields = new byte[Board.NROFFIELDS];

		for( int i = 0; i < fields.length; i++ ) {

			fields[ i ] = 0;
		}

		setFields( fields );
	}

	@Override
	public boolean equals( Object obj ) {

		if( obj instanceof GomokuBoard ) {

			GomokuBoard board = (GomokuBoard) obj;

			if( Arrays.equals( getFields(), board.getFields() ) )
				return true;
		}

		return false;
	}

	@Override
	public int hashCode() {

		return Arrays.hashCode( getFields() );
	}
}
