package ee.ut.joshi.connectsix.model.matrix;

import ee.ut.joshi.connectsix.model.DualMove;
import ee.ut.joshi.connectsix.model.Position;

public class MatrixDualMove implements DualMove {

	private final MatrixPosition fst;
	private final MatrixPosition snd;

	public MatrixDualMove( MatrixPosition fst, MatrixPosition snd ) {

		this.fst = fst;
		this.snd = snd;
	}

	@Override
	public Position getPosition() {

		return fst;
	}

	@Override
	public MatrixPosition getFstPos() {
		return fst;
	}

	@Override
	public MatrixPosition getSndPos() {
		return snd;
	}

	@Override
	public String toString() {

		return "{" + fst + ":" + snd + "}";
	}
}
