package ee.ut.joshi.connectsix.model.player;

import ee.ut.joshi.connectsix.model.Board;
import ee.ut.joshi.connectsix.model.Move;
import ee.ut.joshi.connectsix.model.Player;

/**
 * Place holder to determine who is the winner and this class is used to
 * determine that it was a draw during training process.
 */
public class DrawPlayer extends Player {

	public DrawPlayer() {

		super( Board.EMPTY, "DRAW" );
	}

	@Override
	public Move getNextMove( Board<? extends Object> board ) {
		return null;
	}

	@Override
	public String toString() {

		return "Draw   :" + super.toString();
	}
}
