package ee.ut.joshi.connectsix.ai.randomforest.football;

import java.sql.Connection;
import java.sql.PreparedStatement;
import java.sql.SQLException;

import ee.ut.joshi.connectsix.ai.randomforest.dataattr.DataEntry;
import ee.ut.joshi.connectsix.ai.randomforest.db.DataEntryDao;

public class FootballDataEntryDao implements DataEntryDao {

	private Connection con;

	public FootballDataEntryDao( Connection con ) {

		this.con = con;
	}

	@Override
	public void saveDataEntry( DataEntry dataEntry ) {

		try {

			FootballDataEntry fbEntry = (FootballDataEntry) dataEntry;

			PreparedStatement stmt = con.prepareStatement( "insert into football values(?,?,?,?,?,?)" );
			stmt.clearParameters();

			stmt.setString( 1, fbEntry.getDay().getValue() );
			stmt.setString( 2, fbEntry.getOutlook().getValue() );
			stmt.setString( 3, fbEntry.getTemperature().getValue() );
			stmt.setString( 4, fbEntry.getHumidity().getValue() );
			stmt.setString( 5, fbEntry.getWind().getValue() );
			stmt.setString( 6, fbEntry.getPlayball().getValue() );

			stmt.execute();

		} catch( SQLException e ) {

			e.printStackTrace();
		}
	}
}
