package ee.ut.joshi.connectsix.model.matrix;

import ee.ut.joshi.connectsix.model.Move;

/**
 * Game play move with one position. Position value is considered to be with
 * matrix type of the game board data, i.e. a dual array of fields
 */
public class MatrixMove implements Move {

	private final MatrixPosition pos;

	public MatrixMove( MatrixPosition pos ) {

		this.pos = pos;
	}

	@Override
	public MatrixPosition getPosition() {

		return pos;
	}

	@Override
	public String toString() {

		return "{" + pos + "}";
	}
}
