package ee.ut.joshi.connectsix.model.matrix;

import ee.ut.joshi.connectsix.model.Position;

public class MatrixPosition implements Position {

	private final byte row;
	private final byte col;

	public MatrixPosition( byte row, byte col ) {

		this.row = row;
		this.col = col;
	}

	public MatrixPosition( int row, int col ) {

		this.row = (byte) row;
		this.col = (byte) col;
	}

	public byte getRow() {
		return row;
	}

	public byte getCol() {
		return col;
	}

	@Override
	public String toString() {

		return "[" + row + "," + col + "]";
	}
}
